<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: io/readinp.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_7dc76e12c3f74bb85b7effb3b7dc07e4.html">io</a>
  </div>
</div>
<div class="contents">
<h1>readinp.c File Reference</h1><code>#include &quot;<a class="el" href="magpario_8h_source.html">magpario.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for readinp.c:</div>
<div class="dynsection">
<div class="center"><img src="readinp_8c__incl.png" border="0" usemap="#io_2readinp_8c_map" alt=""/></div>
<map name="io_2readinp_8c_map" id="io_2readinp_8c">
<area shape="rect" id="node3" href="magpario_8h.html" title="magpario.h" alt="" coords="159,86,244,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="readinp_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="readinp_8c.html#ac48e244b5ec28e4a0d8a7ce8596bbe76">ReadINP</a> (<a class="el" href="structGridData.html">GridData</a> *gdata, char *fmesh, Vec Vdest, int col)</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="ac48e244b5ec28e4a0d8a7ce8596bbe76"></a><!-- doxytag: member="readinp.c::ReadINP" ref="ac48e244b5ec28e4a0d8a7ce8596bbe76" args="(GridData *gdata, char *fmesh, Vec Vdest, int col)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int ReadINP </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *&nbsp;</td>
          <td class="paramname"> <em>fmesh</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Vec&nbsp;</td>
          <td class="paramname"> <em>Vdest</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>col</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="readinp_8c_source.html#l00031">31</a> of file <a class="el" href="readinp_8c_source.html">readinp.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00109">D_EPS</a>, <a class="el" href="griddata_8h_source.html#l00172">GridData::ln_ele</a>, <a class="el" href="griddata_8h_source.html#l00171">GridData::ln_vert</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="griddata_8h_source.html#l00164">GridData::n_vert</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, and <a class="el" href="griddata_8h_source.html#l00178">GridData::vertxyz</a>.</p>

<p>Referenced by <a class="el" href="magset_8c_source.html#l00031">MagSet()</a>, and <a class="el" href="readmesh_8c_source.html#l00029">ReadMesh()</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="readinp_8c_ac48e244b5ec28e4a0d8a7ce8596bbe76_icgraph.png" border="0" usemap="#readinp_8c_ac48e244b5ec28e4a0d8a7ce8596bbe76_icgraph_map" alt=""></div>
<map name="readinp_8c_ac48e244b5ec28e4a0d8a7ce8596bbe76_icgraph_map" id="readinp_8c_ac48e244b5ec28e4a0d8a7ce8596bbe76_icgraph">
<area shape="rect" id="node3" href="magset_8c.html#a8fd02adfde9e3d9ac120c87dee020678" title="MagSet" alt="" coords="128,6,195,37"/><area shape="rect" id="node11" href="readmesh_8c.html#a365fc802eafb717ba4c584655d1e9b64" title="ReadMesh" alt="" coords="244,58,327,89"/><area shape="rect" id="node5" href="maginit_8c.html#accaf6541cd8225c7be69bdf5f6ac44d5" title="MagInit" alt="" coords="253,5,317,35"/><area shape="rect" id="node7" href="serinit_8c.html#ae4c8f3120a177cfe3ce6929927865a94" title="SerInit" alt="" coords="377,31,436,62"/><area shape="rect" id="node9" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="485,31,536,62"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

